Bug 1244228 - Repository > Details: "Last Synced" for an unsynced repo looks silly.
Summary: Repository > Details: "Last Synced" for an unsynced repo looks silly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-17 13:50 UTC by Corey Welton
Modified: 2019-09-26 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Before sync (66.73 KB, image/png)
2016-11-08 22:01 UTC, Og Maciel
no flags Details
After a sync (71.30 KB, image/png)
2016-11-08 22:02 UTC, Og Maciel
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15933 None None None 2016-08-01 15:14:06 UTC
Red Hat Bugzilla 1192186 unspecified CLOSED Sync status displays incorrect status 2020-10-14 00:28:05 UTC

Internal Links: 1192186

Description Corey Welton 2015-07-17 13:50:21 UTC
Description of problem:

When user views details of an unsynced repo, it reads awkwardly.

Version-Release number of selected component (if applicable):
6.1.1. SNAP13

How reproducible:


Steps to Reproduce:
1.  Create a new product
2.  Within your new product, create a new puppet repo
3.  View the details tab of said repo

Actual results:

Last Sync Ago ( Local Time)

Expected results:

"Never synced" or something that makes more sense.
Additional info:

Comment 2 Brad Buckingham 2016-08-01 15:14:04 UTC
Created redmine issue http://projects.theforeman.org/issues/15933 from this bug

Comment 3 Brad Buckingham 2016-08-01 15:19:18 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6219

Comment 6 Og Maciel 2016-11-08 22:01:07 UTC
Created attachment 1218733 [details]
Before sync

The attached screenshot shows that before the puppet repository is synced, the Last Sync label shows a value of "Not Synced" which matches with the fix: https://github.com/Katello/katello/pull/6219/files

Comment 7 Og Maciel 2016-11-08 22:02:50 UTC
Created attachment 1218735 [details]
After a sync

After we sync the puppet repository, the Last Sync field shows the correct local time.

Comment 8 Og Maciel 2016-11-08 22:03:34 UTC
As per comments #6 and #7 this issue has been verified using Satellite 6.3.0 Compose 6.0.

Comment 9 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.